<?xml version="1.0" encoding="UTF-8"?>

<!--
  ~
  ~      Copyright (c) 2018-2025, lengleng All rights reserved.
  ~
  ~  Redistribution and use in source and binary forms, with or without
  ~  modification, are permitted provided that the following conditions are met:
  ~
  ~ Redistributions of source code must retain the above copyright notice,
  ~  this list of conditions and the following disclaimer.
  ~  Redistributions in binary form must reproduce the above copyright
  ~  notice, this list of conditions and the following disclaimer in the
  ~  documentation and/or other materials provided with the distribution.
  ~  Neither the name of the yifu4cloud.com developer nor the names of its
  ~  contributors may be used to endorse or promote products derived from
  ~  this software without specific prior written permission.
  ~  Author: lengleng (wangiegie@gmail.com)
  ~
  -->

<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="com.yifu.cloud.plus.v1.yifu.salary.mapper.TSalaryStandardIssueResMapper">

	<resultMap id="tSalaryStandardIssueResMap" type="com.yifu.cloud.plus.v1.yifu.salary.entity.TSalaryStandardIssueRes">
		<id property="id" column="ID"/>
		<result property="issueId" column="ISSUE_ID"/>
		<result property="salaryId" column="SALARY_ID"/>
		<result property="money" column="MONEY"/>
		<result property="orgName" column="ORG_NAME"/>
		<result property="bankName" column="BANK_NAME"/>
		<result property="bankSubName" column="BANK_SUB_NAME"/>
		<result property="bankNo" column="BANK_NO"/>
		<result property="bankProvince" column="BANK_PROVINCE"/>
		<result property="bankCity" column="BANK_CITY"/>
		<result property="bankProvinceName" column="BANK_PROVINCE_NAME"/>
		<result property="bankCityName" column="BANK_CITY_NAME"/>
	</resultMap>
	<sql id="Base_Column_List">
		a.ID,
		a.ISSUE_ID,
		a.SALARY_ID,
		a.ORG_NAME,
		a.BANK_NAME,
		a.BANK_SUB_NAME,
		a.BANK_NO,
		a.BANK_PROVINCE,
		a.BANK_PROVINCE_NAME,
		a.BANK_CITY,
		a.BANK_CITY_NAME,
		a.MONEY
	</sql>
	<sql id="tSalaryStandardIssueRes_where">
		<if test="tSalaryStandardIssueRes != null">
			<if test="tSalaryStandardIssueRes.id != null and tSalaryStandardIssueRes.id.trim() != ''">
				AND a.ID = #{tSalaryStandardIssueRes.id}
			</if>
			<if test="tSalaryStandardIssueRes.issueId != null and tSalaryStandardIssueRes.issueId.trim() != ''">
				AND a.ISSUE_ID = #{tSalaryStandardIssueRes.issueId}
			</if>
			<if test="tSalaryStandardIssueRes.salaryId != null and tSalaryStandardIssueRes.salaryId.trim() != ''">
				AND a.SALARY_ID = #{tSalaryStandardIssueRes.salaryId}
			</if>
			<if test="tSalaryStandardIssueRes.money != null">
				AND a.MONEY = #{tSalaryStandardIssueRes.money}
			</if>
		</if>
	</sql>
</mapper>
